Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# iterator_is_basic Struct Template Reference
[xxx_is_basic]

`#include <metafunctions.hpp>`

Inherited by locator_is_basic< memory_based_2d_locator< memory_based_step_iterator< Iterator > > >.

## Detailed Description

### template<typename Iterator>
struct boost::gil::iterator_is_basic< Iterator >

Determines if a given pixel iterator is basic Basic iterators must use gil::pixel (if interleaved), gil::planar_pixel_iterator (if planar) and gil::memory_based_step_iterator (if step). They must use the standard constness rules.

The documentation for this struct was generated from the following file:

- metafunctions.hpp